"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var tsioc_1 = require("tsioc");
__export(require("./Controller"));
__export(require("./Delete"));
__export(require("./Get"));
__export(require("./Head"));
__export(require("./Options"));
__export(require("./Patch"));
__export(require("./Post"));
__export(require("./Put"));
__export(require("./Route"));
__export(require("./Cors"));
// export * from './Router';
__export(require("./Authorization"));
__export(require("./Model"));
__export(require("./Field"));
__export(require("./Middleware"));
var Authorization_1 = require("./Authorization");
var Controller_1 = require("./Controller");
var Middleware_1 = require("./Middleware");
function registerDecorators(container) {
    var lifeScope = container.getLifeScope();
    lifeScope.registerDecorator(Controller_1.Controller, tsioc_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(Authorization_1.Authorization, tsioc_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(Middleware_1.Middleware, tsioc_1.CoreActions.bindProvider);
}
exports.registerDecorators = registerDecorators;

//# sourceMappingURL=../sourcemaps/decorators/index.js.map
